<?php

if ( is_multisite() ) :

	/**
	 * A set of unit tests for WordPress Multisite
	 *
	 * @group multisite
	 */
	class Tests_Multisite extends WP_UnitTestCase {
		protected $suppress = false;

		function setUp() {
			global $wpdb;
			parent::setUp();
			$this->suppress = $wpdb->suppress_errors();
		}

		function tearDown() {
			global $wpdb;
			parent::tearDown();
			$wpdb->suppress_errors( $this->suppress );
		}

		function test_wpmu_log_new_registrations() {
			global $wpdb;

			$user = new WP_User( 1 );
			$ip   = preg_replace( '/[^0-9., ]/', '', $_SERVER['REMOTE_ADDR'] );

			wpmu_log_new_registrations( 1, 1 );

			// currently there is no wrapper function for the registration_log
			$reg_blog = $wpdb->get_col( "SELECT email FROM {$wpdb->registration_log} WHERE {$wpdb->registration_log}.blog_id = 1 AND IP LIKE '" . $ip . "'" );
			$this->assertEquals( $user->user_email, $reg_blog[ count( $reg_blog ) - 1 ] );
		}
	}

endif;
